## udoofota 1.2

=== Makefile ===
all: udooclient udooserver

udooclient: udooclient.c
	gcc udooclient.c -o udooclient

udooserver: udooserver.c
	gcc udooserver.c -o udooserver

clean:
	rm -rf udooclient udooserver

=== debian/changelog ===
udoofota (1.2-1) unstable; urgency=low

  * Default port 5152
  * Add host resolution
  * Better error handling
  * Cleaned code

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Fri, 02 Sep 2016 14:14:32 +0000

udoofota (1.1-1) unstable; urgency=low

  * Get uploader status from remote

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Mon, 29 Aug 2016 17:01:04 +0100

udoofota (1.0-2) unstable; urgency=low

  * Added socat server

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Fri, 29 Jul 2016 11:47:36 +0100

udoofota (1.0-1) unstable; urgency=low

  * Initial release 

 -- Ettore Chimenti <ek5.chimenti@gmail.com>  Tue, 15 Dec 2015 17:19:46 +0100

=== debian/control ===
Source: udoofota
Section: web
Priority: optional
Maintainer: Ettore Chimenti <ek5.chimenti@gmail.com>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.5
Homepage: http://www.udoo.org
#Vcs-Git: git://git.debian.org/collab-maint/udoofota.git
Vcs-Browser: https://github.com/UDOOboard/udoofota

Package: udoofota-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udooneo-m4uploader
Description: UDOO Firmware Over the Air Uploader -- Server
 A little client-server protocol written in C over TCP/IP 
 to enable uploading via network for UDOO. 

Package: udoofota-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: UDOO Firmware Over the Air Uploader -- Client
 A little client-server protocol written in C over TCP/IP 
 to enable uploading via network for UDOO.

Package: udoofota-serial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, socat
Description: UDOO Firmware Over the Air Uploader -- Serial
 Simply starts a socat server to communicate with UDOO M4 core remotely.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

override_dh_auto_install:
	mv udooclient udoofota-client
	mv udooserver udoofota-server
	dh_auto_install

override_dh_clean:
	rm -f udoofota-client udoofota-server
	dh_clean
